=== modified file 'Makefile'
--- Makefile	2008-12-28 10:20:47 +0000
+++ Makefile	2008-12-21 19:19:25 +0000
@@ -45,7 +45,7 @@
 CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
 	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
 	-DVERSION='"$(version)"'
-LDFLAGS=$(COVERAGE) $(foreach flag,$(LINK_FORTIFY),-Xlinker $(flag))
+LDFLAGS=$(COVERAGE) $(LINK_FORTIFY)
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=cd $(dir $<); xsltproc --nonet --xinclude \

=== modified file 'mandos'
--- mandos	2008-12-28 10:35:32 +0000
+++ mandos	2008-12-15 02:33:36 +0000
@@ -82,11 +82,11 @@
 logger.addHandler(console)
 
 class AvahiError(Exception):
-    def __init__(self, value, *args, **kwargs):
+    def __init__(self, value):
         self.value = value
-        super(AvahiError, self).__init__(value, *args, **kwargs)
-    def __unicode__(self):
-        return unicode(repr(self.value))
+        super(AvahiError, self).__init__()
+    def __str__(self):
+        return repr(self.value)
 
 class AvahiServiceError(AvahiError):
     pass
@@ -129,7 +129,7 @@
             logger.critical(u"No suitable Zeroconf service name found"
                             u" after %i retries, exiting.",
                             self.rename_count)
-            raise AvahiServiceError(u"Too many renames")
+            raise AvahiServiceError("Too many renames")
         self.name = server.GetAlternativeServiceName(self.name)
         logger.info(u"Changing Zeroconf service name to %r ...",
                     str(self.name))
@@ -833,7 +833,7 @@
     elif state == avahi.ENTRY_GROUP_FAILURE:
         logger.critical(u"Avahi: Error in group state changed %s",
                         unicode(error))
-        raise AvahiGroupError(u"State changed: %s" % unicode(error))
+        raise AvahiGroupError("State changed: %s", str(error))
 
 def if_nametoindex(interface):
     """Call the C function if_nametoindex(), or equivalent"""
@@ -1150,7 +1150,7 @@
         logger.debug(u"Starting main loop")
         main_loop.run()
     except AvahiError, error:
-        logger.critical(u"AvahiError: %s", error)
+        logger.critical(u"AvahiError: %s" + unicode(error))
         sys.exit(1)
     except KeyboardInterrupt:
         if debug:

